<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/activity_record"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <com.wonderkiln.camerakit.CameraView
        android:id="@+id/camera"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center_vertical"
        android:adjustViewBounds="true"
        app:ckCropOutput="true"
        app:ckFacing="front"
        app:ckFlash="off"
        app:ckFocus="tapWithMarker"
        app:ckMethod="standard"
        app:ckVideoQuality="max720p"
        app:deviceOrientation="horizontal" />

    <FrameLayout
        android:id="@+id/fl_webview"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:visibility="gone"
        android:layout_gravity="bottom"
        android:background="#2E000000">

        <ImageView
            android:id="@+id/btn_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_centerVertical="true"
            android:layout_marginStart="@dimen/dp_24"
            android:padding="12dp"
            android:scaleType="center"
            android:src="@drawable/ic_accompany_back" />

        <ImageView
            android:id="@+id/video_flash_light"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="20dp"
            android:layout_marginBottom="10dp"
            android:padding="@dimen/dp_10"
            android:src="@drawable/flash_off"
            android:visibility="gone" />

        <Chronometer
            android:id="@+id/video_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/swicth_camera"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_gravity="right"
            android:layout_marginRight="20dp"
            android:padding="@dimen/dp_10"
            android:src="@drawable/switch_camera"
            android:textColor="#FFFFFF"
            android:visibility="gone" />


        <ImageView
            android:id="@+id/record_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:padding="@dimen/dp_10"
            android:src="@drawable/ic_accompany_record" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/rl_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_444"
        android:visibility="gone">

        <ImageView
            android:id="@+id/iv_video"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:background="@color/black" />

        <ImageView
            android:id="@+id/iv_del"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_20"
            android:padding="@dimen/dp_15"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_accompany_back" />

        <ImageView
            android:id="@+id/iv_save"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_20"
            android:padding="@dimen/dp_15"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_accompany_video_record_save" />

        <ImageView
            android:id="@+id/iv_play"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginTop="@dimen/dp_20"
            android:padding="@dimen/dp_15"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_video_record_play" />
    </RelativeLayout>

</FrameLayout>
